<script setup>
import {inject, ref, watch} from "vue";
import axios from "axios";
const form = inject('form');
const options = form.graphic;
const parameter = ref({
    text: null,
    img: null,
    preview: null,
});

const addParameter = () => {
    options.push({ ...parameter.value });
};
const deleteItem = (key,item) => {
    options.splice(key, 1);
    axios.post(route('admin.icon-features.delete',{featuresIcon:item.id}));
};

const handleFileUpload = (e,item) => {
    const avatar = e.target.files[0]
    item.preview = URL.createObjectURL(avatar)
    item.img = avatar
}

</script>
<template>
    <h2 class="parametres-template__subtitle">Графические</h2>
    <div
        v-for="(item, key) of options"
        :key="key"
        class="row"
    >
        <div class="col-md-3">
            <input
                type="text"
                class="form-control"
                placeholder="Особенности предмета"
                v-model="item.text"
            />
        </div>
        <div class="col-md-4">
           <p>Картинка</p>
            <p><img width="100" :src="item.preview"></p>
        </div>
        <div class="col-md-5 mb-4">
            <div class="row">
                <div class="col">
                    <input
                        type="file"
                        class="form-control"
                        @change="handleFileUpload($event,item)"
                    />

                </div>
                <div class="col">
                    <button
                        @click="deleteItem(key,item)"
                        type="button"
                        class="btn btn-danger"
                    >
                        Удалить
                    </button>
                </div>
            </div>
        </div>
    </div>

    <button
        @click="addParameter"
        type="button"
        class="btn btn-secondary parametres-template__add"
    >
        Добавить
    </button>
</template>

<style lang="scss" scoped>
.parametres-template {
    &__subtitle {
        font-size: 16px;
        margin: 0px 0px 40px 0px;
    }
    &__item {
        margin: 0px 0px 60px 0px;
    }

    &__add {
        width: 300px;
    }
}
.item-parametres-template {
    display: flex;
    align-items: center;
    &__text {
        flex: 1 1 auto;
    }
    &__img {
        & > img {
            width: 100px;
        }
    }
    &__config {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__del {
        margin: 0px 30px 0px 0px;
    }
}
.create-parametres-template {
    display: flex;
    &__text {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__load {
        flex: 1 1 auto;
        margin: 0px 30px 0px 0px;
    }
    &__btn {
    }
    &__range {
        flex: 1 1 auto;
        display: flex;
    }
    &__range-min {
    }
    &__range-max {
    }
}
</style>
